#ifndef CHOPB_PARSER
#define CHOPB_PARSER

        extern int nb_par_parse;
           #ifdef IN
           #undef IN
           #endif
    


#ifdef __cplusplus
#include "cplus.h"
typedef int (pretty::** _FUNC_MEMB_CHOPB) ();
class chopb: public cplus,public virtual Parser {
    public :
    
    static int init ; 
    
    chopb () {
        ptTokenArray = _tokenArray;
        ptTokenFuncArray =(_FUNC_MEMB_CHOPB) _tokenFuncArray;
        ptTokenNbFuncArray = _tokenNbFuncArray;
        InitConst ();
        inMakeTree = 0 ;
        parse = 0 ;
        or_not_ok = 0 ;
        
    }
    
    ~chopb () {}
    
    virtual void AsLanguage () { SwitchLang("chopb");}
    
    virtual void * rootGrammar () { return (void *) this;}
    virtual int Lex() ;
    virtual int LexComment() ;
    virtual int LexEtoiEtoi() ;
    virtual int LexMeta() ;
    virtual int LexParse() ;
    virtual int LexSup() ;
    virtual PPTREE assignment_expression ( int error_free) ;
    virtual PPTREE cast_expression_value ( int error_free) ;
    virtual PPTREE exclusive_or_expression ( int error_free) ;
    virtual PPTREE expression ( int error_free) ;
    virtual int formatBeg() ;
    virtual PPTREE main_entry ( int error_free) ;
    virtual PPTREE multiplicative_expression ( int error_free) ;
    virtual PPTREE old ( int error_free) ;
    virtual PPTREE postfix_expression ( int error_free) ;
    virtual PPTREE primary_expression ( int error_free) ;
    virtual PPTREE prog ( int error_free) ;
    virtual PPTREE relational_expression ( int error_free) ;
    virtual PPTREE shift_expression ( int error_free) ;
    virtual PPTREE statement ( int error_free) ;
    virtual PPTREE take_follow ( int error_free) ;
    virtual PPTREE take_follow_list ( int error_free) ;
    virtual PPTREE take_follow_super ( int error_free) ;
    
    
    int inMakeTree;
    int parse;
    int or_not_ok;
    static signed char * _tokenArray [141];
    static int (chopb::*(_tokenFuncArray [141])) ();
    static int _tokenNbFuncArray [141];

    virtual int SortKeyWord (int ret);
    virtual int UpSortKeyWord (int ret); 
    virtual void InitConst ();
    
    enum constants {
        NODE_LIST =     339 ,
        NODE_TREE =     338 ,
        SPACE =     337 ,
        SEP_OMIT =  336 ,
        SEP_BEFORE =    335 ,
        SEP_AFTER =     334 ,
        AFERAFER =  333 ,
        ALINEA =    332 ,
        CHOP_DEF =  331 ,
        NIL =   330 ,
        IN_LANG =   329 ,
        NEXT =  328 ,
        DEF_IDENT =     327 ,
        BOX =   326 ,
        EXPO =  325 ,
        EXPO_AFF =  324 ,
        ETOIETOIEGAL =  323 ,
        IN =    322 ,
        PARSE =     321 ,
        NEXTL =     320 ,
        VALUE =     319 ,
        INFESUPE =  318 ,
        FOREACH =   317 ,
        INFESEPOSUPE =  316 ,
        INFESEPBSUPE =  315 ,
        INFESEPASUPE =  314 ,
        AOUVAOUV =  313 ,
        ARRO =  312 ,
        NL_BEG =    311 ,
        TAB_BEG =   310 ,
        SPACE_BEG =     309 ,
        MAKETREE_SUP =  308 ,
        MAKETREE_INF =  307 ,
        PARSE_ELEM =    306 ,
        SIMP_ETOI =     305 ,
        ETOI_ETOI =     304 ,
        BDECR =     303 ,
        BINCR =     302 ,
        ADDR =  301 ,
        NOT =   300 ,
        LNEG =  299 ,
        POS =   298 ,
        NEG =   297 ,
        STRING_LIST =   296 ,
        LABEL =     295 ,
        THROW_ANSI =    294 ,
        ELSE =  293 ,
        TUNSIGNED =     292 ,
        TSIGNED =   291 ,
        TIDENT =    290 ,
        TFLOAT =    289 ,
        TDOUBLE =   288 ,
        RSHI =  287 ,
        LSHI =  286 ,
        LT =    285 ,
        GT =    284 ,
        GEQU =  283 ,
        LEQU =  282 ,
        PROTECT_MEMB =  281 ,
        LANGUAGE =  280 ,
        EXP =   279 ,
        ADECR =     278 ,
        AINCR =     277 ,
        ARROW =     276 ,
        REF =   275 ,
        EXP_ARRAY =     274 ,
        EXP_LIST =  273 ,
        ARROW_MEMB =    272 ,
        DOT_MEMB =  271 ,
        POINETOI =  270 ,
        TIRESUPEETOI =  269 ,
        TIRESUPE =  268 ,
        SUPESUPE =  267 ,
        INFEINFE =  266 ,
        SUPEEGAL =  265 ,
        INFEEGAL =  264 ,
        NEW_DECLARATOR =    263 ,
        REM =   262 ,
        DIV =   261 ,
        MUL =   260 ,
        POURC =     259 ,
        MESSAGE_MAP =   258 ,
        MACRO =     257 ,
        TCHAR =     256 ,
        TSHORT =    255 ,
        TLONG =     254 ,
        TINT =  253 ,
        OR =    252 ,
        VBARVBAR =  251 ,
        AND =   250 ,
        ETCOETCO =  249 ,
        COMPOUND_EXT =  248 ,
        EXTERNAL =  247 ,
        INITIALIZER =   246 ,
        LOR =   245 ,
        VBAR =  244 ,
        FUNC =  243 ,
        STAT_VOID =     242 ,
        TEMPLATE_DECL =     241 ,
        CLASS_PARAM =   240 ,
        EXP_SEQ =   239 ,
        LXOR =  238 ,
        CHAP =  237 ,
        EXCEPTION_ANSI =    236 ,
        EXCEPTION =     235 ,
        NEQU =  234 ,
        EQU =   233 ,
        EXCLEGAL =  232 ,
        EGALEGAL =  231 ,
        PRAGMA =    230 ,
        INDENT_FUNCTION_TYPE =  229 ,
        COMMENT_PLUS =  228 ,
        COMMENT_END =   227 ,
        COMMENT_MIDDLE =    226 ,
        COMMENT_START =     225 ,
        MARGIN_VALUE =  224 ,
        BRACE_ALIGN_VALUE =     223 ,
        ASSIGN_ALIGN =  222 ,
        SINGLE_SWITCH_INDENT_VALUE =    221 ,
        SIMPLIFY_VALUE =    220 ,
        SIMPLIFY =  219 ,
        MODE_VALUE =    218 ,
        TAB_VALUE =     217 ,
        CONFIG =    216 ,
        NO_PRETTY =     215 ,
        ERROR =     214 ,
        UNDEF =     213 ,
        TYP_AFF_CALL =  212 ,
        MEMBER_DECLARATOR =     211 ,
        TYP_ARRAY =     210 ,
        CFER =  209 ,
        COUV =  208 ,
        FOR_DECLARATION =   207 ,
        DECLARATION =   206 ,
        CTOR_INITIALIZER =  205 ,
        CTOR_INIT =     204 ,
        IUN =   203 ,
        IUNLONG =   202 ,
        ILONG =     201 ,
        RANGE_MODIFIER =    200 ,
        COND_AFF =  199 ,
        INTE =  198 ,
        COMPOUND =  197 ,
        PARAM_TYPE =    196 ,
        SUPE =  195 ,
        INFE =  194 ,
        CLASS_DECL =    193 ,
        AFER =  192 ,
        CATCH_ANSI =    191 ,
        EXCEPT_ANSI_ALL =   190 ,
        CAST =  189 ,
        DPOI =  188 ,
        TYP_BIT =   187 ,
        PROTECT =   186 ,
        BASE_LIST =     185 ,
        XOR_AFF =   184 ,
        OR_AFF =    183 ,
        AND_AFF =   182 ,
        RSH_AFF =   181 ,
        LSH_AFF =   180 ,
        MIN_AFF =   179 ,
        PLU_AFF =   178 ,
        REM_AFF =   177 ,
        DIV_AFF =   176 ,
        MUL_AFF =   175 ,
        AFF =   174 ,
        POINPOINPOIN =  173 ,
        VAR_LIST =  172 ,
        TYP_LIST =  171 ,
        TYP_AFF =   170 ,
        ABST_DECLARATOR =   169 ,
        DECLARATOR =    168 ,
        LAND =  167 ,
        INIT_NEW =  166 ,
        VIRG =  165 ,
        QUALIFIED =     164 ,
        MINUS =     163 ,
        TYP =   162 ,
        PFER =  161 ,
        DESTRUCT =  160 ,
        TYP_REF =   159 ,
        TYP_ADDR =  158 ,
        DEFAULT =   157 ,
        CASE =  156 ,
        TYPEDEF =   155 ,
        TEMPLATE =  154 ,
        CATCH =     153 ,
        PUBLIC =    152 ,
        PROTECTED =     151 ,
        PRIVATE =   150 ,
        CHAPEGAL =  149 ,
        VBAREGAL =  148 ,
        ETCOEGAL =  147 ,
        SUPESUPEEGAL =  146 ,
        INFEINFEEGAL =  145 ,
        TIREEGAL =  144 ,
        PLUSEGAL =  143 ,
        POURCEGAL =     142 ,
        ETOIEGAL =  141 ,
        EGAL =  140 ,
        ASM =   139 ,
        VA_ARG =    138 ,
        DELETE =    137 ,
        NEW =   136 ,
        SIZEOF =    135 ,
        TIRETIRE =  134 ,
        PLUSPLUS =  133 ,
        EXCL =  132 ,
        PLUS =  131 ,
        TIRE =  130 ,
        POUV =  129 ,
        TRY =   128 ,
        THROW =     127 ,
        FORALLSONS =    126 ,
        WHILE =     125 ,
        SWITCH =    124 ,
        RETURN =    123 ,
        PVIR =  122 ,
        IF =    121 ,
        FOR =   120 ,
        AOUV =  119 ,
        DO =    118 ,
        CONTINUE =  117 ,
        BREAK =     116 ,
        OPERATOR =  115 ,
        TILD =  114 ,
        ETCO =  113 ,
        ETOI =  112 ,
        SHORT =     111 ,
        UNSIGNED =  110 ,
        SIGNED =    109 ,
        LONG =  108 ,
        DPOIDPOI =  107 ,
        VOID =  106 ,
        CHAR =  105 ,
        INT =   104 ,
        DOUBLE =    103 ,
        CLASS =     102 ,
        UNION =     101 ,
        STRUCT =    100 ,
        ENUM =  99 ,
        CONST =     98 ,
        FRIEND =    97 ,
        VIRTUAL =   96 ,
        INLINE =    95 ,
        VOLATILE =  94 ,
        REGISTER =  93 ,
        EXTERN =    92 ,
        STATIC =    91 ,
        AUTO =  90 ,
        FUNC_SPEC =     89 ,
        TRY_UPPER =     88 ,
        END_CATCH =     87 ,
        END_CATCH_ALL =     86 ,
        AND_CATCH =     85 ,
        CATCH_UPPER =   84 ,
        CATCH_ALL =     83 ,
        END_MESSAGE_MAP =   82 ,
        BEGIN_MESSAGE_MAP =     81 ,
        DECLARE_MESSAGE_MAP =   80 ,
        IMPLEMENT_SERIAL =  79 ,
        IMPLEMENT_DYNCREATE =   78 ,
        IMPLEMENT_DYNAMIC =     77 ,
        DECLARE_SERIAL =    76 ,
        DECLARE_DYNAMIC =   75 ,
        PUSH_FUNCTION =     74 ,
        PUSH_ARGUMENT =     73 ,
        UNDEF_CONTENT =     72 ,
        SMALL_PRAGMA_CONTENT =  71 ,
        PRAGMA_CONTENT =    70 ,
        PRAGMA_INDENT_FUNCTION_TYPE =   69 ,
        PRAGMA_COMMENT_PLUS =   68 ,
        PRAGMA_COMMENT_END =    67 ,
        PRAGMA_COMMENT_MIDDLE =     66 ,
        PRAGMA_COMMENT_START =  65 ,
        PRAGMA_MARGIN =     64 ,
        PRAGMA_ASSIGN_ALIGN =   63 ,
        PRAGMA_SINGLE_SWITCH_INDENT =   62 ,
        PRAGMA_SIMPLIFY =   61 ,
        PRAGMA_BRACE_ALIGN =    60 ,
        PRAGMA_MODE =   59 ,
        PRAGMA_RANGE =  58 ,
        PRAGMA_TAB =    57 ,
        PRAGMA_CONFIG =     56 ,
        PRAGMA_NOPRETTY =   55 ,
        PRAGMA_PRETTY =     54 ,
        INCLUDE_LOCAL =     53 ,
        INCLUDE_SYS =   52 ,
        END_LINE =  51 ,
        DEFINE_NAME =   50 ,
        DEFINED_NOT_CONTINUED =     49 ,
        DEFINED_CONTINUED =     48 ,
        POINT =     47 ,
        SLAS =  46 ,
        SLASEGAL =  45 ,
        CARRIAGE_RETURN =   44 ,
        UNDEF_DIR =     43 ,
        DEFINE_DIR =    42 ,
        ERROR_DIR =     41 ,
        PRAGMA_DIR =    40 ,
        LINE_DIR =  39 ,
        ENDIF_DIR =     38 ,
        ELIF_DIR =  37 ,
        ELSE_DIR =  36 ,
        IF_DIR =    35 ,
        IFNDEF_DIR =    34 ,
        IFDEF_DIR =     33 ,
        INCLUDE_DIR =   32 ,
        OCTAL =     31 ,
        UOCTAL =    30 ,
        LOCTAL =    29 ,
        ULOCTAL =   28 ,
        HEXA =  27 ,
        UHEXA =     26 ,
        LHEXA =     25 ,
        ULHEXA =    24 ,
        INTEGER =   23 ,
        FLOAT =     22 ,
        UINTEGER =  21 ,
        LINTEGER =  20 ,
        ULINTEGER =     19 ,
        CHARACT =   18 ,
        STRING =    17 ,
        IDENT =     16 ,
        GOTO_REL =  15 ,
        GOTO =  14 ,
        STR =   13 ,
        UNMARK =    12 ,
        MARK =  11 ,
        TAB_VIRT =  10 ,
        TAB =   9 ,
        NEWLINE =   8 ,
        ATTRIBUTS =     7 ,
        PLUS____TIRETIRETIRETIRETIRETIRE____ =  6 ,
        PLACE_HOLD_CONST
    } ; 
} ; 

extern chopb * parser_chopb;

#endif
#define NODE_LIST_chopb     339
#define NODE_TREE_chopb     338
#define SPACE_chopb     337
#define SEP_OMIT_chopb  336
#define SEP_BEFORE_chopb    335
#define SEP_AFTER_chopb     334
#define AFERAFER_chopb  333
#define ALINEA_chopb    332
#define CHOP_DEF_chopb  331
#define NIL_chopb   330
#define IN_LANG_chopb   329
#define NEXT_chopb  328
#define DEF_IDENT_chopb     327
#define BOX_chopb   326
#define EXPO_chopb  325
#define EXPO_AFF_chopb  324
#define ETOIETOIEGAL_chopb  323
#define IN_chopb    322
#define PARSE_chopb     321
#define NEXTL_chopb     320
#define VALUE_chopb     319
#define INFESUPE_chopb  318
#define FOREACH_chopb   317
#define INFESEPOSUPE_chopb  316
#define INFESEPBSUPE_chopb  315
#define INFESEPASUPE_chopb  314
#define AOUVAOUV_chopb  313
#define ARRO_chopb  312
#define NL_BEG_chopb    311
#define TAB_BEG_chopb   310
#define SPACE_BEG_chopb     309
#define MAKETREE_SUP_chopb  308
#define MAKETREE_INF_chopb  307
#define PARSE_ELEM_chopb    306
#define SIMP_ETOI_chopb     305
#define ETOI_ETOI_chopb     304
#define BDECR_chopb     303
#define BINCR_chopb     302
#define ADDR_chopb  301
#define NOT_chopb   300
#define LNEG_chopb  299
#define POS_chopb   298
#define NEG_chopb   297
#define STRING_LIST_chopb   296
#define LABEL_chopb     295
#define THROW_ANSI_chopb    294
#define ELSE_chopb  293
#define TUNSIGNED_chopb     292
#define TSIGNED_chopb   291
#define TIDENT_chopb    290
#define TFLOAT_chopb    289
#define TDOUBLE_chopb   288
#define RSHI_chopb  287
#define LSHI_chopb  286
#define LT_chopb    285
#define GT_chopb    284
#define GEQU_chopb  283
#define LEQU_chopb  282
#define PROTECT_MEMB_chopb  281
#define LANGUAGE_chopb  280
#define EXP_chopb   279
#define ADECR_chopb     278
#define AINCR_chopb     277
#define ARROW_chopb     276
#define REF_chopb   275
#define EXP_ARRAY_chopb     274
#define EXP_LIST_chopb  273
#define ARROW_MEMB_chopb    272
#define DOT_MEMB_chopb  271
#define POINETOI_chopb  270
#define TIRESUPEETOI_chopb  269
#define TIRESUPE_chopb  268
#define SUPESUPE_chopb  267
#define INFEINFE_chopb  266
#define SUPEEGAL_chopb  265
#define INFEEGAL_chopb  264
#define NEW_DECLARATOR_chopb    263
#define REM_chopb   262
#define DIV_chopb   261
#define MUL_chopb   260
#define POURC_chopb     259
#define MESSAGE_MAP_chopb   258
#define MACRO_chopb     257
#define TCHAR_chopb     256
#define TSHORT_chopb    255
#define TLONG_chopb     254
#define TINT_chopb  253
#define OR_chopb    252
#define VBARVBAR_chopb  251
#define AND_chopb   250
#define ETCOETCO_chopb  249
#define COMPOUND_EXT_chopb  248
#define EXTERNAL_chopb  247
#define INITIALIZER_chopb   246
#define LOR_chopb   245
#define VBAR_chopb  244
#define FUNC_chopb  243
#define STAT_VOID_chopb     242
#define TEMPLATE_DECL_chopb     241
#define CLASS_PARAM_chopb   240
#define EXP_SEQ_chopb   239
#define LXOR_chopb  238
#define CHAP_chopb  237
#define EXCEPTION_ANSI_chopb    236
#define EXCEPTION_chopb     235
#define NEQU_chopb  234
#define EQU_chopb   233
#define EXCLEGAL_chopb  232
#define EGALEGAL_chopb  231
#define PRAGMA_chopb    230
#define INDENT_FUNCTION_TYPE_chopb  229
#define COMMENT_PLUS_chopb  228
#define COMMENT_END_chopb   227
#define COMMENT_MIDDLE_chopb    226
#define COMMENT_START_chopb     225
#define MARGIN_VALUE_chopb  224
#define BRACE_ALIGN_VALUE_chopb     223
#define ASSIGN_ALIGN_chopb  222
#define SINGLE_SWITCH_INDENT_VALUE_chopb    221
#define SIMPLIFY_VALUE_chopb    220
#define SIMPLIFY_chopb  219
#define MODE_VALUE_chopb    218
#define TAB_VALUE_chopb     217
#define CONFIG_chopb    216
#define NO_PRETTY_chopb     215
#define ERROR_chopb     214
#define UNDEF_chopb     213
#define TYP_AFF_CALL_chopb  212
#define MEMBER_DECLARATOR_chopb     211
#define TYP_ARRAY_chopb     210
#define CFER_chopb  209
#define COUV_chopb  208
#define FOR_DECLARATION_chopb   207
#define DECLARATION_chopb   206
#define CTOR_INITIALIZER_chopb  205
#define CTOR_INIT_chopb     204
#define IUN_chopb   203
#define IUNLONG_chopb   202
#define ILONG_chopb     201
#define RANGE_MODIFIER_chopb    200
#define COND_AFF_chopb  199
#define INTE_chopb  198
#define COMPOUND_chopb  197
#define PARAM_TYPE_chopb    196
#define SUPE_chopb  195
#define INFE_chopb  194
#define CLASS_DECL_chopb    193
#define AFER_chopb  192
#define CATCH_ANSI_chopb    191
#define EXCEPT_ANSI_ALL_chopb   190
#define CAST_chopb  189
#define DPOI_chopb  188
#define TYP_BIT_chopb   187
#define PROTECT_chopb   186
#define BASE_LIST_chopb     185
#define XOR_AFF_chopb   184
#define OR_AFF_chopb    183
#define AND_AFF_chopb   182
#define RSH_AFF_chopb   181
#define LSH_AFF_chopb   180
#define MIN_AFF_chopb   179
#define PLU_AFF_chopb   178
#define REM_AFF_chopb   177
#define DIV_AFF_chopb   176
#define MUL_AFF_chopb   175
#define AFF_chopb   174
#define POINPOINPOIN_chopb  173
#define VAR_LIST_chopb  172
#define TYP_LIST_chopb  171
#define TYP_AFF_chopb   170
#define ABST_DECLARATOR_chopb   169
#define DECLARATOR_chopb    168
#define LAND_chopb  167
#define INIT_NEW_chopb  166
#define VIRG_chopb  165
#define QUALIFIED_chopb     164
#define MINUS_chopb     163
#define TYP_chopb   162
#define PFER_chopb  161
#define DESTRUCT_chopb  160
#define TYP_REF_chopb   159
#define TYP_ADDR_chopb  158
#define DEFAULT_chopb   157
#define CASE_chopb  156
#define TYPEDEF_chopb   155
#define TEMPLATE_chopb  154
#define CATCH_chopb     153
#define PUBLIC_chopb    152
#define PROTECTED_chopb     151
#define PRIVATE_chopb   150
#define CHAPEGAL_chopb  149
#define VBAREGAL_chopb  148
#define ETCOEGAL_chopb  147
#define SUPESUPEEGAL_chopb  146
#define INFEINFEEGAL_chopb  145
#define TIREEGAL_chopb  144
#define PLUSEGAL_chopb  143
#define POURCEGAL_chopb     142
#define ETOIEGAL_chopb  141
#define EGAL_chopb  140
#define ASM_chopb   139
#define VA_ARG_chopb    138
#define DELETE_chopb    137
#define NEW_chopb   136
#define SIZEOF_chopb    135
#define TIRETIRE_chopb  134
#define PLUSPLUS_chopb  133
#define EXCL_chopb  132
#define PLUS_chopb  131
#define TIRE_chopb  130
#define POUV_chopb  129
#define TRY_chopb   128
#define THROW_chopb     127
#define FORALLSONS_chopb    126
#define WHILE_chopb     125
#define SWITCH_chopb    124
#define RETURN_chopb    123
#define PVIR_chopb  122
#define IF_chopb    121
#define FOR_chopb   120
#define AOUV_chopb  119
#define DO_chopb    118
#define CONTINUE_chopb  117
#define BREAK_chopb     116
#define OPERATOR_chopb  115
#define TILD_chopb  114
#define ETCO_chopb  113
#define ETOI_chopb  112
#define SHORT_chopb     111
#define UNSIGNED_chopb  110
#define SIGNED_chopb    109
#define LONG_chopb  108
#define DPOIDPOI_chopb  107
#define VOID_chopb  106
#define CHAR_chopb  105
#define INT_chopb   104
#define DOUBLE_chopb    103
#define CLASS_chopb     102
#define UNION_chopb     101
#define STRUCT_chopb    100
#define ENUM_chopb  99
#define CONST_chopb     98
#define FRIEND_chopb    97
#define VIRTUAL_chopb   96
#define INLINE_chopb    95
#define VOLATILE_chopb  94
#define REGISTER_chopb  93
#define EXTERN_chopb    92
#define STATIC_chopb    91
#define AUTO_chopb  90
#define FUNC_SPEC_chopb     89
#define TRY_UPPER_chopb     88
#define END_CATCH_chopb     87
#define END_CATCH_ALL_chopb     86
#define AND_CATCH_chopb     85
#define CATCH_UPPER_chopb   84
#define CATCH_ALL_chopb     83
#define END_MESSAGE_MAP_chopb   82
#define BEGIN_MESSAGE_MAP_chopb     81
#define DECLARE_MESSAGE_MAP_chopb   80
#define IMPLEMENT_SERIAL_chopb  79
#define IMPLEMENT_DYNCREATE_chopb   78
#define IMPLEMENT_DYNAMIC_chopb     77
#define DECLARE_SERIAL_chopb    76
#define DECLARE_DYNAMIC_chopb   75
#define PUSH_FUNCTION_chopb     74
#define PUSH_ARGUMENT_chopb     73
#define UNDEF_CONTENT_chopb     72
#define SMALL_PRAGMA_CONTENT_chopb  71
#define PRAGMA_CONTENT_chopb    70
#define PRAGMA_INDENT_FUNCTION_TYPE_chopb   69
#define PRAGMA_COMMENT_PLUS_chopb   68
#define PRAGMA_COMMENT_END_chopb    67
#define PRAGMA_COMMENT_MIDDLE_chopb     66
#define PRAGMA_COMMENT_START_chopb  65
#define PRAGMA_MARGIN_chopb     64
#define PRAGMA_ASSIGN_ALIGN_chopb   63
#define PRAGMA_SINGLE_SWITCH_INDENT_chopb   62
#define PRAGMA_SIMPLIFY_chopb   61
#define PRAGMA_BRACE_ALIGN_chopb    60
#define PRAGMA_MODE_chopb   59
#define PRAGMA_RANGE_chopb  58
#define PRAGMA_TAB_chopb    57
#define PRAGMA_CONFIG_chopb     56
#define PRAGMA_NOPRETTY_chopb   55
#define PRAGMA_PRETTY_chopb     54
#define INCLUDE_LOCAL_chopb     53
#define INCLUDE_SYS_chopb   52
#define END_LINE_chopb  51
#define DEFINE_NAME_chopb   50
#define DEFINED_NOT_CONTINUED_chopb     49
#define DEFINED_CONTINUED_chopb     48
#define POINT_chopb     47
#define SLAS_chopb  46
#define SLASEGAL_chopb  45
#define CARRIAGE_RETURN_chopb   44
#define UNDEF_DIR_chopb     43
#define DEFINE_DIR_chopb    42
#define ERROR_DIR_chopb     41
#define PRAGMA_DIR_chopb    40
#define LINE_DIR_chopb  39
#define ENDIF_DIR_chopb     38
#define ELIF_DIR_chopb  37
#define ELSE_DIR_chopb  36
#define IF_DIR_chopb    35
#define IFNDEF_DIR_chopb    34
#define IFDEF_DIR_chopb     33
#define INCLUDE_DIR_chopb   32
#define OCTAL_chopb     31
#define UOCTAL_chopb    30
#define LOCTAL_chopb    29
#define ULOCTAL_chopb   28
#define HEXA_chopb  27
#define UHEXA_chopb     26
#define LHEXA_chopb     25
#define ULHEXA_chopb    24
#define INTEGER_chopb   23
#define FLOAT_chopb     22
#define UINTEGER_chopb  21
#define LINTEGER_chopb  20
#define ULINTEGER_chopb     19
#define CHARACT_chopb   18
#define STRING_chopb    17
#define IDENT_chopb     16
#define GOTO_REL_chopb  15
#define GOTO_chopb  14
#define STR_chopb   13
#define UNMARK_chopb    12
#define MARK_chopb  11
#define TAB_VIRT_chopb  10
#define TAB_chopb   9
#define NEWLINE_chopb   8
#define ATTRIBUTS_chopb     7
#define PLUS____TIRETIRETIRETIRETIRETIRE_____chopb  6
#undef _Tak
#define _Tak(func) func 
#endif
