#ifndef CPLUS_PARSER
#define CPLUS_PARSER

         extern int hasGotError;
        #include "interf.h"
        #ifdef CONST
        #undef CONST
        #endif
        #ifdef ERROR
        #undef ERROR
        #endif
        #ifdef VOID
        #undef VOID
        #endif
        #ifdef DELETE
        #undef DELETE
        #endif
    


#ifdef __cplusplus
#include "pretty.h"
typedef int (pretty::** _FUNC_MEMB_CPLUS) ();
class cplus: public pretty,public virtual Parser {
    public :
    
    static int init ; 
    
    cplus () {
        ptTokenArray = _tokenArray;
        ptTokenFuncArray =(_FUNC_MEMB_CPLUS) _tokenFuncArray;
        ptTokenNbFuncArray = _tokenNbFuncArray;
        InitConst ();
        keepCarriage = 0 ;
        keepAll = 0 ;
        
    }
    
    ~cplus () {}
    
    virtual void AsLanguage () { SwitchLang("cplus");}
    
    virtual void * rootGrammar () { return (void *) this;}
    virtual int Lex() ;
    virtual int LexComment() ;
    virtual int LexDefine() ;
    virtual int LexDefineName() ;
    virtual int LexEndLine() ;
    virtual int LexInclude() ;
    virtual int LexMeta() ;
    virtual int LexPragma() ;
    virtual int LexPragmaSmall() ;
    virtual int LexUndef() ;
    virtual int PushArgument() ;
    virtual int PushFunction() ;
    virtual PPTREE abstract_declarator ( int error_free) ;
    virtual PPTREE additive_expression ( int error_free) ;
    virtual PPTREE alloc_expression ( int error_free) ;
    virtual PPTREE allocation_expression ( int error_free) ;
    virtual PPTREE and_expression ( int error_free) ;
    virtual PPTREE arg_declarator ( int error_free) ;
    virtual PPTREE arg_typ_declarator ( int error_free) ;
    virtual PPTREE arg_typ_list ( int error_free) ;
    virtual PPTREE asm_declaration ( int error_free) ;
    virtual PPTREE assignment_end ( int error_free) ;
    virtual PPTREE assignment_expression ( int error_free) ;
    virtual PPTREE base_specifier ( int error_free) ;
    virtual PPTREE base_specifier_elem ( int error_free) ;
    virtual PPTREE bit_field_decl ( int error_free) ;
    virtual PPTREE cast_expression ( int error_free) ;
    virtual PPTREE cast_expression_value ( int error_free) ;
    virtual PPTREE catch_unit ( int error_free) ;
    virtual PPTREE catch_unit_ansi ( int error_free) ;
    virtual PPTREE class_declaration ( int error_free) ;
    virtual PPTREE comment_eater ( int error_free) ;
    virtual PPTREE complete_class_name ( int error_free) ;
    virtual PPTREE compound_statement ( int error_free) ;
    virtual PPTREE conditional_expression ( int error_free) ;
    virtual PPTREE const_or_volatile ( int error_free) ;
    virtual PPTREE constan ( int error_free) ;
    virtual PPTREE ctor_initializer ( int error_free) ;
    virtual PPTREE data_decl_exotic ( int error_free) ;
    virtual PPTREE data_decl_sc_decl ( int error_free) ;
    virtual PPTREE data_decl_sc_ty_decl ( int error_free) ;
    virtual PPTREE data_declaration ( int error_free) ;
    virtual PPTREE data_declaration_for ( int error_free) ;
    virtual PPTREE data_declaration_strict ( int error_free) ;
    virtual PPTREE deallocation_expression ( int error_free) ;
    virtual PPTREE declarator ( int error_free) ;
    virtual PPTREE declarator_follow ( int error_free) ;
    virtual PPTREE declarator_list ( int error_free) ;
    virtual PPTREE declarator_list_init ( int error_free) ;
    virtual PPTREE declarator_value ( int error_free) ;
    virtual PPTREE define_dir ( int error_free) ;
    virtual PPTREE directive ( int error_free) ;
    virtual PPTREE end_pragma ( int error_free) ;
    virtual PPTREE enum_val ( int error_free) ;
    virtual PPTREE equality_expression ( int error_free) ;
    virtual PPTREE exception ( int error_free) ;
    virtual PPTREE exception_ansi ( int error_free) ;
    virtual PPTREE exclusive_or_expression ( int error_free) ;
    virtual PPTREE expression ( int error_free) ;
    virtual PPTREE expression_for ( int error_free) ;
    virtual PPTREE ext_all ( int error_free) ;
    virtual PPTREE ext_all_ext ( int error_free) ;
    virtual PPTREE ext_all_no_linkage ( int error_free) ;
    virtual PPTREE ext_data_decl_sc_ty ( int error_free) ;
    virtual PPTREE ext_data_decl_simp ( int error_free) ;
    virtual PPTREE ext_data_declaration ( int error_free) ;
    virtual PPTREE ext_decl_dir ( int error_free) ;
    virtual PPTREE ext_decl_if_dir ( int error_free) ;
    virtual PPTREE ext_decl_ifdef_dir ( int error_free) ;
    virtual PPTREE func_declaration ( int error_free) ;
    virtual PPTREE func_declarator ( int error_free) ;
    virtual PPTREE ident_mul ( int error_free) ;
    virtual PPTREE include_dir ( int error_free) ;
    virtual PPTREE inclusive_or_expression ( int error_free) ;
    virtual PPTREE initializer ( int error_free) ;
    virtual PPTREE inside_declaration ( int error_free) ;
    virtual PPTREE inside_declaration1 ( int error_free) ;
    virtual PPTREE inside_declaration2 ( int error_free) ;
    virtual PPTREE label_beg ( int error_free) ;
    virtual PPTREE linkage_specification ( int error_free) ;
    virtual PPTREE logical_and_expression ( int error_free) ;
    virtual PPTREE logical_or_expression ( int error_free) ;
    virtual PPTREE long_short_int_char ( int error_free) ;
    virtual PPTREE macro ( int error_free) ;
    virtual PPTREE macro_extended ( int error_free) ;
    virtual PPTREE main_entry ( int error_free) ;
    virtual PPTREE member_declarator ( int error_free) ;
    virtual PPTREE message_map ( int error_free) ;
    virtual PPTREE multiplicative_expression ( int error_free) ;
    virtual PPTREE new_1 ( int error_free) ;
    virtual PPTREE new_2 ( int error_free) ;
    virtual PPTREE new_declarator ( int error_free) ;
    virtual PPTREE new_type_name ( int error_free) ;
    virtual PPTREE operator_function_name ( int error_free) ;
    virtual PPTREE other_config ( int error_free) ;
    virtual PPTREE parameter_list ( int error_free) ;
    virtual PPTREE parameter_list_extended ( int error_free) ;
    virtual PPTREE parametrized_class ( int error_free) ;
    virtual PPTREE parse_entry ( int error_free) ;
    virtual PPTREE pm_expression ( int error_free) ;
    virtual PPTREE postfix_expression ( int error_free) ;
    virtual PPTREE primary_expression ( int error_free) ;
    virtual PPTREE program ( int error_free) ;
    virtual PPTREE protect_declare ( int error_free) ;
    virtual PPTREE ptr_operator ( int error_free) ;
    virtual PPTREE qualified_name ( int error_free) ;
    virtual PPTREE qualified_name_elem ( int error_free) ;
    virtual PPTREE quick_prog ( int error_free) ;
    virtual PPTREE quick_prog_elem ( int error_free) ;
    virtual PPTREE range_in_liste ( int error_free) ;
    virtual PPTREE range_modifier ( int error_free) ;
    virtual PPTREE range_modifier_function ( int error_free) ;
    virtual PPTREE range_modifier_ident ( int error_free) ;
    virtual PPTREE range_pragma ( int error_free) ;
    virtual PPTREE relational_expression ( int error_free) ;
    virtual PPTREE sc_specifier ( int error_free) ;
    virtual PPTREE shift_expression ( int error_free) ;
    virtual PPTREE simple_type ( int error_free) ;
    virtual PPTREE simple_type_name ( int error_free) ;
    virtual PPTREE sizeof_type ( int error_free) ;
    virtual int specific() ;
    virtual PPTREE stat_all ( int error_free) ;
    virtual PPTREE stat_dir ( int error_free) ;
    virtual PPTREE stat_if_dir ( int error_free) ;
    virtual PPTREE stat_ifdef_dir ( int error_free) ;
    virtual PPTREE statement ( int error_free) ;
    virtual PPTREE string_list ( int error_free) ;
    virtual PPTREE switch_elem ( int error_free) ;
    virtual PPTREE switch_list ( int error_free) ;
    virtual int the_exit() ;
    virtual PPTREE type_and_declarator ( int error_free) ;
    virtual PPTREE type_descr ( int error_free) ;
    virtual PPTREE type_name ( int error_free) ;
    virtual PPTREE type_specifier ( int error_free) ;
    virtual PPTREE type_specifier_without_param ( int error_free) ;
    virtual PPTREE typedef_and_declarator ( int error_free) ;
    virtual PPTREE unary_expression ( int error_free) ;
    
    
    int keepCarriage;
    int keepAll;
    static signed char * _tokenArray [125];
    static int (cplus::*(_tokenFuncArray [125])) ();
    static int _tokenNbFuncArray [125];

    virtual int SortKeyWord (int ret);
    virtual int UpSortKeyWord (int ret); 
    virtual void InitConst ();
    
    enum constants {
        BDECR =     303 ,
        BINCR =     302 ,
        ADDR =  301 ,
        NOT =   300 ,
        LNEG =  299 ,
        POS =   298 ,
        NEG =   297 ,
        STRING_LIST =   296 ,
        LABEL =     295 ,
        THROW_ANSI =    294 ,
        ELSE =  293 ,
        TUNSIGNED =     292 ,
        TSIGNED =   291 ,
        TIDENT =    290 ,
        TFLOAT =    289 ,
        TDOUBLE =   288 ,
        RSHI =  287 ,
        LSHI =  286 ,
        LT =    285 ,
        GT =    284 ,
        GEQU =  283 ,
        LEQU =  282 ,
        PROTECT_MEMB =  281 ,
        LANGUAGE =  280 ,
        EXP =   279 ,
        ADECR =     278 ,
        AINCR =     277 ,
        ARROW =     276 ,
        REF =   275 ,
        EXP_ARRAY =     274 ,
        EXP_LIST =  273 ,
        ARROW_MEMB =    272 ,
        DOT_MEMB =  271 ,
        POINETOI =  270 ,
        TIRESUPEETOI =  269 ,
        TIRESUPE =  268 ,
        SUPESUPE =  267 ,
        INFEINFE =  266 ,
        SUPEEGAL =  265 ,
        INFEEGAL =  264 ,
        NEW_DECLARATOR =    263 ,
        REM =   262 ,
        DIV =   261 ,
        MUL =   260 ,
        POURC =     259 ,
        MESSAGE_MAP =   258 ,
        MACRO =     257 ,
        TCHAR =     256 ,
        TSHORT =    255 ,
        TLONG =     254 ,
        TINT =  253 ,
        OR =    252 ,
        VBARVBAR =  251 ,
        AND =   250 ,
        ETCOETCO =  249 ,
        COMPOUND_EXT =  248 ,
        EXTERNAL =  247 ,
        INITIALIZER =   246 ,
        LOR =   245 ,
        VBAR =  244 ,
        FUNC =  243 ,
        STAT_VOID =     242 ,
        TEMPLATE_DECL =     241 ,
        CLASS_PARAM =   240 ,
        EXP_SEQ =   239 ,
        LXOR =  238 ,
        CHAP =  237 ,
        EXCEPTION_ANSI =    236 ,
        EXCEPTION =     235 ,
        NEQU =  234 ,
        EQU =   233 ,
        EXCLEGAL =  232 ,
        EGALEGAL =  231 ,
        PRAGMA =    230 ,
        INDENT_FUNCTION_TYPE =  229 ,
        COMMENT_PLUS =  228 ,
        COMMENT_END =   227 ,
        COMMENT_MIDDLE =    226 ,
        COMMENT_START =     225 ,
        MARGIN_VALUE =  224 ,
        BRACE_ALIGN_VALUE =     223 ,
        ASSIGN_ALIGN =  222 ,
        SINGLE_SWITCH_INDENT_VALUE =    221 ,
        SIMPLIFY_VALUE =    220 ,
        SIMPLIFY =  219 ,
        MODE_VALUE =    218 ,
        TAB_VALUE =     217 ,
        CONFIG =    216 ,
        NO_PRETTY =     215 ,
        ERROR =     214 ,
        UNDEF =     213 ,
        TYP_AFF_CALL =  212 ,
        MEMBER_DECLARATOR =     211 ,
        TYP_ARRAY =     210 ,
        CFER =  209 ,
        COUV =  208 ,
        FOR_DECLARATION =   207 ,
        DECLARATION =   206 ,
        CTOR_INITIALIZER =  205 ,
        CTOR_INIT =     204 ,
        IUN =   203 ,
        IUNLONG =   202 ,
        ILONG =     201 ,
        RANGE_MODIFIER =    200 ,
        COND_AFF =  199 ,
        INTE =  198 ,
        COMPOUND =  197 ,
        PARAM_TYPE =    196 ,
        SUPE =  195 ,
        INFE =  194 ,
        CLASS_DECL =    193 ,
        AFER =  192 ,
        CATCH_ANSI =    191 ,
        EXCEPT_ANSI_ALL =   190 ,
        CAST =  189 ,
        DPOI =  188 ,
        TYP_BIT =   187 ,
        PROTECT =   186 ,
        BASE_LIST =     185 ,
        XOR_AFF =   184 ,
        OR_AFF =    183 ,
        AND_AFF =   182 ,
        RSH_AFF =   181 ,
        LSH_AFF =   180 ,
        MIN_AFF =   179 ,
        PLU_AFF =   178 ,
        REM_AFF =   177 ,
        DIV_AFF =   176 ,
        MUL_AFF =   175 ,
        AFF =   174 ,
        POINPOINPOIN =  173 ,
        VAR_LIST =  172 ,
        TYP_LIST =  171 ,
        TYP_AFF =   170 ,
        ABST_DECLARATOR =   169 ,
        DECLARATOR =    168 ,
        LAND =  167 ,
        INIT_NEW =  166 ,
        VIRG =  165 ,
        QUALIFIED =     164 ,
        MINUS =     163 ,
        TYP =   162 ,
        PFER =  161 ,
        DESTRUCT =  160 ,
        TYP_REF =   159 ,
        TYP_ADDR =  158 ,
        DEFAULT =   157 ,
        CASE =  156 ,
        TYPEDEF =   155 ,
        TEMPLATE =  154 ,
        CATCH =     153 ,
        PUBLIC =    152 ,
        PROTECTED =     151 ,
        PRIVATE =   150 ,
        CHAPEGAL =  149 ,
        VBAREGAL =  148 ,
        ETCOEGAL =  147 ,
        SUPESUPEEGAL =  146 ,
        INFEINFEEGAL =  145 ,
        TIREEGAL =  144 ,
        PLUSEGAL =  143 ,
        POURCEGAL =     142 ,
        ETOIEGAL =  141 ,
        EGAL =  140 ,
        ASM =   139 ,
        VA_ARG =    138 ,
        DELETE =    137 ,
        NEW =   136 ,
        SIZEOF =    135 ,
        TIRETIRE =  134 ,
        PLUSPLUS =  133 ,
        EXCL =  132 ,
        PLUS =  131 ,
        TIRE =  130 ,
        POUV =  129 ,
        TRY =   128 ,
        THROW =     127 ,
        FORALLSONS =    126 ,
        WHILE =     125 ,
        SWITCH =    124 ,
        RETURN =    123 ,
        PVIR =  122 ,
        IF =    121 ,
        FOR =   120 ,
        AOUV =  119 ,
        DO =    118 ,
        CONTINUE =  117 ,
        BREAK =     116 ,
        OPERATOR =  115 ,
        TILD =  114 ,
        ETCO =  113 ,
        ETOI =  112 ,
        SHORT =     111 ,
        UNSIGNED =  110 ,
        SIGNED =    109 ,
        LONG =  108 ,
        DPOIDPOI =  107 ,
        VOID =  106 ,
        CHAR =  105 ,
        INT =   104 ,
        DOUBLE =    103 ,
        CLASS =     102 ,
        UNION =     101 ,
        STRUCT =    100 ,
        ENUM =  99 ,
        CONST =     98 ,
        FRIEND =    97 ,
        VIRTUAL =   96 ,
        INLINE =    95 ,
        VOLATILE =  94 ,
        REGISTER =  93 ,
        EXTERN =    92 ,
        STATIC =    91 ,
        AUTO =  90 ,
        FUNC_SPEC =     89 ,
        TRY_UPPER =     88 ,
        END_CATCH =     87 ,
        END_CATCH_ALL =     86 ,
        AND_CATCH =     85 ,
        CATCH_UPPER =   84 ,
        CATCH_ALL =     83 ,
        END_MESSAGE_MAP =   82 ,
        BEGIN_MESSAGE_MAP =     81 ,
        DECLARE_MESSAGE_MAP =   80 ,
        IMPLEMENT_SERIAL =  79 ,
        IMPLEMENT_DYNCREATE =   78 ,
        IMPLEMENT_DYNAMIC =     77 ,
        DECLARE_SERIAL =    76 ,
        DECLARE_DYNAMIC =   75 ,
        PUSH_FUNCTION =     74 ,
        PUSH_ARGUMENT =     73 ,
        UNDEF_CONTENT =     72 ,
        SMALL_PRAGMA_CONTENT =  71 ,
        PRAGMA_CONTENT =    70 ,
        PRAGMA_INDENT_FUNCTION_TYPE =   69 ,
        PRAGMA_COMMENT_PLUS =   68 ,
        PRAGMA_COMMENT_END =    67 ,
        PRAGMA_COMMENT_MIDDLE =     66 ,
        PRAGMA_COMMENT_START =  65 ,
        PRAGMA_MARGIN =     64 ,
        PRAGMA_ASSIGN_ALIGN =   63 ,
        PRAGMA_SINGLE_SWITCH_INDENT =   62 ,
        PRAGMA_SIMPLIFY =   61 ,
        PRAGMA_BRACE_ALIGN =    60 ,
        PRAGMA_MODE =   59 ,
        PRAGMA_RANGE =  58 ,
        PRAGMA_TAB =    57 ,
        PRAGMA_CONFIG =     56 ,
        PRAGMA_NOPRETTY =   55 ,
        PRAGMA_PRETTY =     54 ,
        INCLUDE_LOCAL =     53 ,
        INCLUDE_SYS =   52 ,
        END_LINE =  51 ,
        DEFINE_NAME =   50 ,
        DEFINED_NOT_CONTINUED =     49 ,
        DEFINED_CONTINUED =     48 ,
        POINT =     47 ,
        SLAS =  46 ,
        SLASEGAL =  45 ,
        CARRIAGE_RETURN =   44 ,
        UNDEF_DIR =     43 ,
        DEFINE_DIR =    42 ,
        ERROR_DIR =     41 ,
        PRAGMA_DIR =    40 ,
        LINE_DIR =  39 ,
        ENDIF_DIR =     38 ,
        ELIF_DIR =  37 ,
        ELSE_DIR =  36 ,
        IF_DIR =    35 ,
        IFNDEF_DIR =    34 ,
        IFDEF_DIR =     33 ,
        INCLUDE_DIR =   32 ,
        OCTAL =     31 ,
        UOCTAL =    30 ,
        LOCTAL =    29 ,
        ULOCTAL =   28 ,
        HEXA =  27 ,
        UHEXA =     26 ,
        LHEXA =     25 ,
        ULHEXA =    24 ,
        INTEGER =   23 ,
        FLOAT =     22 ,
        UINTEGER =  21 ,
        LINTEGER =  20 ,
        ULINTEGER =     19 ,
        CHARACT =   18 ,
        STRING =    17 ,
        IDENT =     16 ,
        GOTO_REL =  15 ,
        GOTO =  14 ,
        STR =   13 ,
        UNMARK =    12 ,
        MARK =  11 ,
        TAB_VIRT =  10 ,
        TAB =   9 ,
        NEWLINE =   8 ,
        ATTRIBUTS =     7 ,
        PLUS____TIRETIRETIRETIRETIRETIRE____ =  6 ,
        PLACE_HOLD_CONST
    } ; 
} ; 

extern cplus * parser_cplus;

#endif
#define BDECR_cplus     303
#define BINCR_cplus     302
#define ADDR_cplus  301
#define NOT_cplus   300
#define LNEG_cplus  299
#define POS_cplus   298
#define NEG_cplus   297
#define STRING_LIST_cplus   296
#define LABEL_cplus     295
#define THROW_ANSI_cplus    294
#define ELSE_cplus  293
#define TUNSIGNED_cplus     292
#define TSIGNED_cplus   291
#define TIDENT_cplus    290
#define TFLOAT_cplus    289
#define TDOUBLE_cplus   288
#define RSHI_cplus  287
#define LSHI_cplus  286
#define LT_cplus    285
#define GT_cplus    284
#define GEQU_cplus  283
#define LEQU_cplus  282
#define PROTECT_MEMB_cplus  281
#define LANGUAGE_cplus  280
#define EXP_cplus   279
#define ADECR_cplus     278
#define AINCR_cplus     277
#define ARROW_cplus     276
#define REF_cplus   275
#define EXP_ARRAY_cplus     274
#define EXP_LIST_cplus  273
#define ARROW_MEMB_cplus    272
#define DOT_MEMB_cplus  271
#define POINETOI_cplus  270
#define TIRESUPEETOI_cplus  269
#define TIRESUPE_cplus  268
#define SUPESUPE_cplus  267
#define INFEINFE_cplus  266
#define SUPEEGAL_cplus  265
#define INFEEGAL_cplus  264
#define NEW_DECLARATOR_cplus    263
#define REM_cplus   262
#define DIV_cplus   261
#define MUL_cplus   260
#define POURC_cplus     259
#define MESSAGE_MAP_cplus   258
#define MACRO_cplus     257
#define TCHAR_cplus     256
#define TSHORT_cplus    255
#define TLONG_cplus     254
#define TINT_cplus  253
#define OR_cplus    252
#define VBARVBAR_cplus  251
#define AND_cplus   250
#define ETCOETCO_cplus  249
#define COMPOUND_EXT_cplus  248
#define EXTERNAL_cplus  247
#define INITIALIZER_cplus   246
#define LOR_cplus   245
#define VBAR_cplus  244
#define FUNC_cplus  243
#define STAT_VOID_cplus     242
#define TEMPLATE_DECL_cplus     241
#define CLASS_PARAM_cplus   240
#define EXP_SEQ_cplus   239
#define LXOR_cplus  238
#define CHAP_cplus  237
#define EXCEPTION_ANSI_cplus    236
#define EXCEPTION_cplus     235
#define NEQU_cplus  234
#define EQU_cplus   233
#define EXCLEGAL_cplus  232
#define EGALEGAL_cplus  231
#define PRAGMA_cplus    230
#define INDENT_FUNCTION_TYPE_cplus  229
#define COMMENT_PLUS_cplus  228
#define COMMENT_END_cplus   227
#define COMMENT_MIDDLE_cplus    226
#define COMMENT_START_cplus     225
#define MARGIN_VALUE_cplus  224
#define BRACE_ALIGN_VALUE_cplus     223
#define ASSIGN_ALIGN_cplus  222
#define SINGLE_SWITCH_INDENT_VALUE_cplus    221
#define SIMPLIFY_VALUE_cplus    220
#define SIMPLIFY_cplus  219
#define MODE_VALUE_cplus    218
#define TAB_VALUE_cplus     217
#define CONFIG_cplus    216
#define NO_PRETTY_cplus     215
#define ERROR_cplus     214
#define UNDEF_cplus     213
#define TYP_AFF_CALL_cplus  212
#define MEMBER_DECLARATOR_cplus     211
#define TYP_ARRAY_cplus     210
#define CFER_cplus  209
#define COUV_cplus  208
#define FOR_DECLARATION_cplus   207
#define DECLARATION_cplus   206
#define CTOR_INITIALIZER_cplus  205
#define CTOR_INIT_cplus     204
#define IUN_cplus   203
#define IUNLONG_cplus   202
#define ILONG_cplus     201
#define RANGE_MODIFIER_cplus    200
#define COND_AFF_cplus  199
#define INTE_cplus  198
#define COMPOUND_cplus  197
#define PARAM_TYPE_cplus    196
#define SUPE_cplus  195
#define INFE_cplus  194
#define CLASS_DECL_cplus    193
#define AFER_cplus  192
#define CATCH_ANSI_cplus    191
#define EXCEPT_ANSI_ALL_cplus   190
#define CAST_cplus  189
#define DPOI_cplus  188
#define TYP_BIT_cplus   187
#define PROTECT_cplus   186
#define BASE_LIST_cplus     185
#define XOR_AFF_cplus   184
#define OR_AFF_cplus    183
#define AND_AFF_cplus   182
#define RSH_AFF_cplus   181
#define LSH_AFF_cplus   180
#define MIN_AFF_cplus   179
#define PLU_AFF_cplus   178
#define REM_AFF_cplus   177
#define DIV_AFF_cplus   176
#define MUL_AFF_cplus   175
#define AFF_cplus   174
#define POINPOINPOIN_cplus  173
#define VAR_LIST_cplus  172
#define TYP_LIST_cplus  171
#define TYP_AFF_cplus   170
#define ABST_DECLARATOR_cplus   169
#define DECLARATOR_cplus    168
#define LAND_cplus  167
#define INIT_NEW_cplus  166
#define VIRG_cplus  165
#define QUALIFIED_cplus     164
#define MINUS_cplus     163
#define TYP_cplus   162
#define PFER_cplus  161
#define DESTRUCT_cplus  160
#define TYP_REF_cplus   159
#define TYP_ADDR_cplus  158
#define DEFAULT_cplus   157
#define CASE_cplus  156
#define TYPEDEF_cplus   155
#define TEMPLATE_cplus  154
#define CATCH_cplus     153
#define PUBLIC_cplus    152
#define PROTECTED_cplus     151
#define PRIVATE_cplus   150
#define CHAPEGAL_cplus  149
#define VBAREGAL_cplus  148
#define ETCOEGAL_cplus  147
#define SUPESUPEEGAL_cplus  146
#define INFEINFEEGAL_cplus  145
#define TIREEGAL_cplus  144
#define PLUSEGAL_cplus  143
#define POURCEGAL_cplus     142
#define ETOIEGAL_cplus  141
#define EGAL_cplus  140
#define ASM_cplus   139
#define VA_ARG_cplus    138
#define DELETE_cplus    137
#define NEW_cplus   136
#define SIZEOF_cplus    135
#define TIRETIRE_cplus  134
#define PLUSPLUS_cplus  133
#define EXCL_cplus  132
#define PLUS_cplus  131
#define TIRE_cplus  130
#define POUV_cplus  129
#define TRY_cplus   128
#define THROW_cplus     127
#define FORALLSONS_cplus    126
#define WHILE_cplus     125
#define SWITCH_cplus    124
#define RETURN_cplus    123
#define PVIR_cplus  122
#define IF_cplus    121
#define FOR_cplus   120
#define AOUV_cplus  119
#define DO_cplus    118
#define CONTINUE_cplus  117
#define BREAK_cplus     116
#define OPERATOR_cplus  115
#define TILD_cplus  114
#define ETCO_cplus  113
#define ETOI_cplus  112
#define SHORT_cplus     111
#define UNSIGNED_cplus  110
#define SIGNED_cplus    109
#define LONG_cplus  108
#define DPOIDPOI_cplus  107
#define VOID_cplus  106
#define CHAR_cplus  105
#define INT_cplus   104
#define DOUBLE_cplus    103
#define CLASS_cplus     102
#define UNION_cplus     101
#define STRUCT_cplus    100
#define ENUM_cplus  99
#define CONST_cplus     98
#define FRIEND_cplus    97
#define VIRTUAL_cplus   96
#define INLINE_cplus    95
#define VOLATILE_cplus  94
#define REGISTER_cplus  93
#define EXTERN_cplus    92
#define STATIC_cplus    91
#define AUTO_cplus  90
#define FUNC_SPEC_cplus     89
#define TRY_UPPER_cplus     88
#define END_CATCH_cplus     87
#define END_CATCH_ALL_cplus     86
#define AND_CATCH_cplus     85
#define CATCH_UPPER_cplus   84
#define CATCH_ALL_cplus     83
#define END_MESSAGE_MAP_cplus   82
#define BEGIN_MESSAGE_MAP_cplus     81
#define DECLARE_MESSAGE_MAP_cplus   80
#define IMPLEMENT_SERIAL_cplus  79
#define IMPLEMENT_DYNCREATE_cplus   78
#define IMPLEMENT_DYNAMIC_cplus     77
#define DECLARE_SERIAL_cplus    76
#define DECLARE_DYNAMIC_cplus   75
#define PUSH_FUNCTION_cplus     74
#define PUSH_ARGUMENT_cplus     73
#define UNDEF_CONTENT_cplus     72
#define SMALL_PRAGMA_CONTENT_cplus  71
#define PRAGMA_CONTENT_cplus    70
#define PRAGMA_INDENT_FUNCTION_TYPE_cplus   69
#define PRAGMA_COMMENT_PLUS_cplus   68
#define PRAGMA_COMMENT_END_cplus    67
#define PRAGMA_COMMENT_MIDDLE_cplus     66
#define PRAGMA_COMMENT_START_cplus  65
#define PRAGMA_MARGIN_cplus     64
#define PRAGMA_ASSIGN_ALIGN_cplus   63
#define PRAGMA_SINGLE_SWITCH_INDENT_cplus   62
#define PRAGMA_SIMPLIFY_cplus   61
#define PRAGMA_BRACE_ALIGN_cplus    60
#define PRAGMA_MODE_cplus   59
#define PRAGMA_RANGE_cplus  58
#define PRAGMA_TAB_cplus    57
#define PRAGMA_CONFIG_cplus     56
#define PRAGMA_NOPRETTY_cplus   55
#define PRAGMA_PRETTY_cplus     54
#define INCLUDE_LOCAL_cplus     53
#define INCLUDE_SYS_cplus   52
#define END_LINE_cplus  51
#define DEFINE_NAME_cplus   50
#define DEFINED_NOT_CONTINUED_cplus     49
#define DEFINED_CONTINUED_cplus     48
#define POINT_cplus     47
#define SLAS_cplus  46
#define SLASEGAL_cplus  45
#define CARRIAGE_RETURN_cplus   44
#define UNDEF_DIR_cplus     43
#define DEFINE_DIR_cplus    42
#define ERROR_DIR_cplus     41
#define PRAGMA_DIR_cplus    40
#define LINE_DIR_cplus  39
#define ENDIF_DIR_cplus     38
#define ELIF_DIR_cplus  37
#define ELSE_DIR_cplus  36
#define IF_DIR_cplus    35
#define IFNDEF_DIR_cplus    34
#define IFDEF_DIR_cplus     33
#define INCLUDE_DIR_cplus   32
#define OCTAL_cplus     31
#define UOCTAL_cplus    30
#define LOCTAL_cplus    29
#define ULOCTAL_cplus   28
#define HEXA_cplus  27
#define UHEXA_cplus     26
#define LHEXA_cplus     25
#define ULHEXA_cplus    24
#define INTEGER_cplus   23
#define FLOAT_cplus     22
#define UINTEGER_cplus  21
#define LINTEGER_cplus  20
#define ULINTEGER_cplus     19
#define CHARACT_cplus   18
#define STRING_cplus    17
#define IDENT_cplus     16
#define GOTO_REL_cplus  15
#define GOTO_cplus  14
#define STR_cplus   13
#define UNMARK_cplus    12
#define MARK_cplus  11
#define TAB_VIRT_cplus  10
#define TAB_cplus   9
#define NEWLINE_cplus   8
#define ATTRIBUTS_cplus     7
#define PLUS____TIRETIRETIRETIRETIRETIRE_____cplus  6
#undef _Tak
#define _Tak(func) func 
#endif
