
#line 1 "ptree.ch"
/*************************************************************************/
#line 1 "ptree.ch"
/*                                                                       */
#line 1 "ptree.ch"
/*        Produced by Metachop version 2.0  -    1989-1995               */
#line 1 "ptree.ch"
/*     Tree      Meta     Chopper      developped    by                  */
#line 1 "ptree.ch"
/*                  Eric Lavillonniere                                   */
#line 1 "ptree.ch"
/*                                                                       */
#line 1 "ptree.ch"
/*************************************************************************/
#line 1 "ptree.ch"
#line 1 "ptree.ch"
#include "token.h"
#line 1 "ptree.ch"
extern int _retVal[50];
#line 1 "ptree.ch"
extern PPTREE _storeVal[50],_nextVal;
#line 1 "ptree.ch"
extern PPTREE stackTree[1024];
#line 1 "ptree.ch"
extern int ptStackTree;
#line 1 "ptree.ch"
#define decomp decomp_metachop
#line 1 "ptree.ch"
#line 1 "ptree.ch"
#ifndef for_elem
#line 1 "ptree.ch"
#line 1 "ptree.ch"
#define for_elem _for_elem
#line 1 "ptree.ch"
#endif
#ifdef INCONNU
#line 1 "ptree.ch"
#line 1 "ptree.ch"
PTREE   for_elem ;
#line 1 "ptree.ch"
#line 1 "ptree.ch"
#endif
#line 3 "ptree.ch"
#line 3 "ptree.ch"
static  int GetNumber ( const PTREE &tree )
#line 3 "ptree.ch"
{
#line 3 "ptree.ch"
#line 5 "ptree.ch"
    return APPLY_CLASS(tree, TreeClass, Type());
#line 5 "ptree.ch"
#line 6 "ptree.ch"
}
#line 6 "ptree.ch"

#include "token.h"

#line 13 "ptree.ch"
#line 13 "ptree.ch"
void PTREE::EncodeClass ( const PTREE &tree, EString &string )
#line 13 "ptree.ch"
{
#line 13 "ptree.ch"
#line 16 "ptree.ch"
    char    *pt ;
#line 16 "ptree.ch"
#line 18 "ptree.ch"
    CoarseEncodeInt(GetNumber(tree), string);
#line 18 "ptree.ch"
#line 19 "ptree.ch"
    pt = (char *)(tree.Value());
#line 19 "ptree.ch"
#line 20 "ptree.ch"
    CoarseEncodeInt(strlen(pt), string);
#line 20 "ptree.ch"
#line 21 "ptree.ch"
    string += pt ;
#line 21 "ptree.ch"
#line 22 "ptree.ch"
    return ;
#line 22 "ptree.ch"
#line 23 "ptree.ch"
}
#line 23 "ptree.ch"

#line 28 "ptree.ch"
#line 28 "ptree.ch"
void PTREE::CoarseEncode ( const PTREE &tree, EString &string )
#line 28 "ptree.ch"
{
#line 28 "ptree.ch"
#line 32 "ptree.ch"
    int arity ;
#line 32 "ptree.ch"
#line 33 "ptree.ch"
    int nbNode ;
#line 33 "ptree.ch"
#line 34 "ptree.ch"
    char    *pt ;
#line 34 "ptree.ch"
#line 36 "ptree.ch"
start : 
#line 36 "ptree.ch"
#line 37 "ptree.ch"
    if ( !tree ) {
#line 37 "ptree.ch"
#line 38 "ptree.ch"
                    string += (char) - 1 ;
#line 38 "ptree.ch"
#line 39 "ptree.ch"
                    return ;
#line 39 "ptree.ch"
#line 39 "ptree.ch"
                   }
#line 39 "ptree.ch"
#line 41 "ptree.ch"
    switch ( tree.NumberTree() ) {
#line 41 "ptree.ch"
#line 42 "ptree.ch"
        case TERM_TREE : 
#line 42 "ptree.ch"
#line 43 "ptree.ch"
            string += '\1';
#line 43 "ptree.ch"
#line 44 "ptree.ch"
            CoarseEncodeInt(TERM_TREE, string);
#line 44 "ptree.ch"
#line 45 "ptree.ch"
            pt = (char *)(tree.Value());
#line 45 "ptree.ch"
#line 46 "ptree.ch"
            CoarseEncodeInt(strlen(pt), string);
#line 46 "ptree.ch"
#line 47 "ptree.ch"
            string += pt ;
#line 47 "ptree.ch"
#line 48 "ptree.ch"
            CoarseEncode(tree [0], string);
#line 48 "ptree.ch"
#line 49 "ptree.ch"
            return ;
#line 49 "ptree.ch"
#line 50 "ptree.ch"
        case CLASS_TREE : 
#line 50 "ptree.ch"
#line 51 "ptree.ch"
            string += '\1';
#line 51 "ptree.ch"
#line 52 "ptree.ch"
            CoarseEncodeInt(CLASS_TREE, string);
#line 52 "ptree.ch"
#line 53 "ptree.ch"
            EncodeClass(tree, string);
#line 53 "ptree.ch"
#line 54 "ptree.ch"
            CoarseEncode(tree [0], string);
#line 54 "ptree.ch"
#line 55 "ptree.ch"
            return ;
#line 55 "ptree.ch"
#line 56 "ptree.ch"
        case REF_TREE : 
#line 56 "ptree.ch"
#line 57 "ptree.ch"
            string += (char) - 1 ;
#line 57 "ptree.ch"
#line 58 "ptree.ch"
            return ;
#line 58 "ptree.ch"
#line 60 "ptree.ch"
        default : 
#line 60 "ptree.ch"
#line 60 "ptree.ch"
            {
#line 60 "ptree.ch"
#line 63 "ptree.ch"
                arity = treearity(tree);
#line 63 "ptree.ch"
#line 64 "ptree.ch"
                string += (char)arity ;
#line 64 "ptree.ch"
#line 65 "ptree.ch"
                CoarseEncodeInt(tree.NumberTree(), string);
#line 65 "ptree.ch"
#line 68 "ptree.ch"
                int indexSon ;
#line 68 "ptree.ch"
#line 69 "ptree.ch"
#line 69 "ptree.ch"
                for ( indexSon = 1 ; indexSon <= arity ; indexSon++ ) {
#line 69 "ptree.ch"
#line 70 "ptree.ch"
CoarseEncode(tree [indexSon], string);
#line 70 "ptree.ch"
#line 70 "ptree.ch"
                                                                           }
#line 70 "ptree.ch"
#line 70 "ptree.ch"
#line 72 "ptree.ch"
                CoarseEncode(tree [0], string);
#line 72 "ptree.ch"
#line 72 "ptree.ch"
            }
#line 72 "ptree.ch"
    }
#line 72 "ptree.ch"
#line 72 "ptree.ch"
#line 75 "ptree.ch"
}
#line 75 "ptree.ch"

#line 80 "ptree.ch"
#line 80 "ptree.ch"
PTREE PTREE::DecodeClass ( char *&string )
#line 80 "ptree.ch"
{
#line 80 "ptree.ch"
#line 84 "ptree.ch"
    PTREE   myTree ;
#line 84 "ptree.ch"
#line 84 "ptree.ch"
#line 85 "ptree.ch"
    PTREE   topTree ;
#line 85 "ptree.ch"
#line 85 "ptree.ch"
#line 86 "ptree.ch"
    int nbNode ;
#line 86 "ptree.ch"
#line 87 "ptree.ch"
    int length ;
#line 87 "ptree.ch"
#line 89 "ptree.ch"
    nbNode = CoarseDecodeInt(string);
#line 89 "ptree.ch"
#line 90 "ptree.ch"
    length = CoarseDecodeInt(string);
#line 90 "ptree.ch"
#line 91 "ptree.ch"
    (myTree=LMakeString(string, length));
#line 91 "ptree.ch"
#line 91 "ptree.ch"
#line 92 "ptree.ch"
    (topTree=PTREE(nbNode, 1));
#line 92 "ptree.ch"
#line 92 "ptree.ch"
#line 93 "ptree.ch"
    topTree.ReplaceTree(1, myTree);
#line 93 "ptree.ch"
#line 94 "ptree.ch"
    string += length ;
#line 94 "ptree.ch"
#line 95 "ptree.ch"
    return topTree ;
#line 95 "ptree.ch"
#line 96 "ptree.ch"
}
#line 96 "ptree.ch"

#line 101 "ptree.ch"
#line 101 "ptree.ch"
PTREE PTREE::CoarseDecode ( char *&string )
#line 101 "ptree.ch"
{
#line 101 "ptree.ch"
#line 104 "ptree.ch"
    char    arity ;
#line 104 "ptree.ch"
#line 105 "ptree.ch"
    PTREE   myTree ;
#line 105 "ptree.ch"
#line 105 "ptree.ch"
#line 106 "ptree.ch"
    int nbNode ;
#line 106 "ptree.ch"
#line 107 "ptree.ch"
    int length ;
#line 107 "ptree.ch"
#line 109 "ptree.ch"
    arity = *string++ ;
#line 109 "ptree.ch"
#line 112 "ptree.ch"
    if ( arity == (char) - 1 ) 
#line 112 "ptree.ch"
#line 113 "ptree.ch"
        return (PTREE)0 ;
#line 113 "ptree.ch"
#line 116 "ptree.ch"
    nbNode = CoarseDecodeInt(string);
#line 116 "ptree.ch"
#line 119 "ptree.ch"
    switch ( arity ) {
#line 119 "ptree.ch"
#line 120 "ptree.ch"
        case 1 : 
#line 120 "ptree.ch"
#line 121 "ptree.ch"
            switch ( nbNode ) {
#line 121 "ptree.ch"
#line 122 "ptree.ch"
                case TERM_TREE : 
#line 122 "ptree.ch"
#line 123 "ptree.ch"
                    length = CoarseDecodeInt(string);
#line 123 "ptree.ch"
#line 124 "ptree.ch"
                    (myTree=LMakeString(string, length));
#line 124 "ptree.ch"
#line 124 "ptree.ch"
#line 125 "ptree.ch"
                    string += length ;
#line 125 "ptree.ch"
#line 126 "ptree.ch"
                    myTree.ReplaceTree(0, CoarseDecode(string));
#line 126 "ptree.ch"
#line 127 "ptree.ch"
                    return myTree ;
#line 127 "ptree.ch"
#line 128 "ptree.ch"
                    break ;
#line 128 "ptree.ch"
#line 129 "ptree.ch"
                case CLASS_TREE : 
#line 129 "ptree.ch"
#line 130 "ptree.ch"
                    {
#line 130 "ptree.ch"
#line 131 "ptree.ch"
                        (myTree=DecodeClass(string));
#line 131 "ptree.ch"
#line 131 "ptree.ch"
#line 132 "ptree.ch"
                        myTree.ReplaceTree(0, CoarseDecode(string));
#line 132 "ptree.ch"
#line 132 "ptree.ch"
                    }
#line 132 "ptree.ch"
#line 134 "ptree.ch"
                    break ;
#line 134 "ptree.ch"
#line 136 "ptree.ch"
                default : 
#line 136 "ptree.ch"
#line 136 "ptree.ch"
                    (myTree=PTREE(nbNode, (int)arity));
#line 136 "ptree.ch"
#line 136 "ptree.ch"
#line 137 "ptree.ch"
                    myTree.ReplaceTree(1, CoarseDecode(string));
#line 137 "ptree.ch"
#line 138 "ptree.ch"
                    myTree.ReplaceTree(0, CoarseDecode(string));
#line 138 "ptree.ch"
#line 139 "ptree.ch"
                    break ;
#line 139 "ptree.ch"
            }
#line 139 "ptree.ch"
#line 139 "ptree.ch"
#line 141 "ptree.ch"
            break ;
#line 141 "ptree.ch"
#line 143 "ptree.ch"
        default : 
#line 143 "ptree.ch"
#line 143 "ptree.ch"
            {
#line 143 "ptree.ch"
#line 146 "ptree.ch"
                (myTree=PTREE(nbNode, (int)arity));
#line 146 "ptree.ch"
#line 146 "ptree.ch"
#line 149 "ptree.ch"
                int indexSon ;
#line 149 "ptree.ch"
#line 150 "ptree.ch"
#line 150 "ptree.ch"
                for ( indexSon = 1 ; indexSon <= arity ; indexSon++ ) {
#line 150 "ptree.ch"
#line 151 "ptree.ch"
myTree.ReplaceTree(indexSon, CoarseDecode(string));
#line 151 "ptree.ch"
#line 151 "ptree.ch"
                                                                           }
#line 151 "ptree.ch"
#line 151 "ptree.ch"
#line 153 "ptree.ch"
                myTree.ReplaceTree(0, CoarseDecode(string));
#line 153 "ptree.ch"
#line 153 "ptree.ch"
            }
#line 153 "ptree.ch"
    }
#line 153 "ptree.ch"
#line 153 "ptree.ch"
#line 156 "ptree.ch"
    return myTree ;
#line 156 "ptree.ch"
#line 157 "ptree.ch"
}
#line 157 "ptree.ch"
/*Well done my boy */ 
#line 157 "ptree.ch"

